This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1282911 - Review Request: perl-Crypt-Salsa20 - Encrypt data with the Salsa20 cipher
Review Request: perl-Crypt-Salsa20 - Encrypt data with the Salsa20 cipher
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-17 14:17 EST by Denis Fateyev
Modified: 2015-12-26 21:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-17 03:52:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Denis Fateyev 2015-11-17 14:17:20 EST
Spec URL: http://www.fateyev.com/RPMS/Fedora22/perl-Crypt-Salsa20.spec
SRPM URL: http://www.fateyev.com/RPMS/Fedora22/perl-Crypt-Salsa20-0.03-1.fc24.src.rpm
Description: Crypt::Salsa20 implements D. J. Bernstein's Salsa20 stream cipher (a.k.a. Snuffle 2005) in Perl. For more information on Salsa20, see his page at
http://cr.yp.to/snuffle.html.
Fedora Account System Username: dfateyev

Koji rawhide scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=11886093
Comment 1 Petr Pisar 2015-11-18 07:52:42 EST
Petr, wrong flag (fedora_requires_release_note)?
Comment 2 Petr Šabata 2015-11-18 07:56:59 EST
Thanks.
Comment 3 Upstream Release Monitoring 2015-11-18 08:07:41 EST
dfateyev's scratch build of perl-Crypt-Salsa20-0.03-2.fc20.denf.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11892278
Comment 4 Denis Fateyev 2015-11-18 08:12:34 EST
Adjusted BRs fully as requested in a previous review, small cleanup.

Spec path: http://www.fateyev.com/RPMS/Fedora22/perl-Crypt-Salsa20.spec

Rawhide scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=11892279
Comment 5 Petr Šabata 2015-11-18 08:37:43 EST
I'll assume this is for Fedora only.

* Missing a BR, as already pointed out in the other current reviews:
  - perl(integer), used in lib/Crypt/Salsa20.pm (lots)

* strict and warnings are used in the Makefile.PL, too.
  You may want to list them in the top block, for consistence.
  Well, this depends on your style preference...

* Drop META.json from %doc, it's of no use to your end users.

* Package the license text using the %license macro.

* If you really don't need EPEL compatibility, you can:
  1) ignore the abovementioned coreutils & findutils point.
  2) Add a 6.76+ version dependency constraint to EU::MM.
  3) Generate the Makefile with `NO_PACKLIST=1'.
  This will allow you to drop line 46.

* The Group tag is optional, too.
Comment 6 Upstream Release Monitoring 2015-11-18 13:53:57 EST
dfateyev's scratch build of perl-Crypt-Salsa20-0.03-2.fc20.denf.src.rpm for epel7 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11894175
Comment 7 Denis Fateyev 2015-11-18 13:58:10 EST
On the contrary, I'm planning to maintain it in EPEL too. Thanks for the detailed clarifications, anyway.

- Added perl(integer) to BR (thought that all concerned Perl versions had it so omitted it initially);
- Dropped META.json.

EL6 doesn't support %license tag so I didn't used it. The Group tag is also kept for more EPEL adaptivity.

Spec path: http://www.fateyev.com/RPMS/Fedora22/perl-Crypt-Salsa20.spec

Rawhide scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=11894191
Comment 8 Petr Šabata 2015-11-19 07:06:15 EST
(In reply to Denis Fateyev from comment #7)
> On the contrary, I'm planning to maintain it in EPEL too. Thanks for the
> detailed clarifications, anyway.
> 
> - Added perl(integer) to BR (thought that all concerned Perl versions had it
> so omitted it initially);

You never know what the future might bring.  And even if it's very unlikely, just listing everything is more consistent and, in a way, easier.

> - Dropped META.json.

Ack.

> EL6 doesn't support %license tag so I didn't used it. The Group tag is also
> kept for more EPEL adaptivity.

Regarding the Group tag: Ack.

The %license macro is mandatory in Fedora, though.

I use the following `trick' in my packages.  There might be a better way but this works fine:

%{!?_licensedir:%global license %%doc}
%license LICENSE
%doc Changes README
Comment 9 Upstream Release Monitoring 2015-11-19 14:21:16 EST
dfateyev's scratch build of perl-Crypt-Salsa20-0.03-2.fc20.denf.src.rpm for dist-6E-epel completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11910647
Comment 10 Denis Fateyev 2015-11-19 15:05:03 EST
- Added "%license" tag (according https://fedoraproject.org/wiki/EPEL:Packaging#The_.25license_tag since I believe there is a doubled percent sign above);
- Added AUTOMATED_TESTING variable for more thorough testing plan;

Spec path: http://www.fateyev.com/RPMS/Fedora22/perl-Crypt-Salsa20.spec

Rawhide scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=11910666
Comment 11 Petr Šabata 2015-11-20 06:29:42 EST
(In reply to Denis Fateyev from comment #10)
> - Added "%license" tag (according
> https://fedoraproject.org/wiki/EPEL:Packaging#The_.25license_tag since I
> believe there is a doubled percent sign above);

This works too.  Good to know.

> - Added AUTOMATED_TESTING variable for more thorough testing plan;

Ack.


Well, all good now.  Approving.
Comment 12 Gwyn Ciesla 2015-11-20 17:10:17 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/perl-Crypt-Salsa20
Comment 13 Petr Šabata 2015-12-08 12:09:26 EST
Any updates?  Pushed and built?
Comment 14 Denis Fateyev 2015-12-08 12:53:19 EST
There is a bug in Bodhi: https://github.com/fedora-infra/bodhi/issues/707
I've been waiting for the fix, otherwise I can't push it.
Comment 15 Petr Šabata 2015-12-08 12:57:49 EST
Ah, I see.  I prefer the CLI utility :)
Comment 16 Denis Fateyev 2015-12-08 13:01:17 EST
Me too, but it failed the last time I used it so I suspected there was also a bug. I'll try with cli one more time, anyway.
Comment 17 Fedora Update System 2015-12-08 16:06:26 EST
perl-Crypt-Salsa20-0.03-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-eadb1907e7
Comment 18 Fedora Update System 2015-12-08 16:09:54 EST
perl-Crypt-Salsa20-0.03-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-2ec055bb1f
Comment 19 Fedora Update System 2015-12-08 16:10:59 EST
perl-Crypt-Salsa20-0.03-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-7fa2974150
Comment 20 Fedora Update System 2015-12-08 16:12:03 EST
perl-Crypt-Salsa20-0.03-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-df5b8d7cc1
Comment 21 Fedora Update System 2015-12-09 00:20:13 EST
perl-Crypt-Salsa20-0.03-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update perl-Crypt-Salsa20'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-2ec055bb1f
Comment 22 Fedora Update System 2015-12-09 00:49:43 EST
perl-Crypt-Salsa20-0.03-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update perl-Crypt-Salsa20'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-eadb1907e7
Comment 23 Fedora Update System 2015-12-09 18:23:37 EST
perl-Crypt-Salsa20-0.03-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update perl-Crypt-Salsa20'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-7fa2974150
Comment 24 Fedora Update System 2015-12-09 23:56:12 EST
perl-Crypt-Salsa20-0.03-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update perl-Crypt-Salsa20'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-df5b8d7cc1
Comment 25 Fedora Update System 2015-12-17 03:52:10 EST
perl-Crypt-Salsa20-0.03-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2015-12-18 02:53:30 EST
perl-Crypt-Salsa20-0.03-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 27 Fedora Update System 2015-12-26 18:24:04 EST
perl-Crypt-Salsa20-0.03-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 28 Fedora Update System 2015-12-26 21:52:59 EST
perl-Crypt-Salsa20-0.03-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.